- content_for :page_title do
  = raw @article.title

article.oni-article
  - if @article.author.name
    .author
      strong=> _('written by')
      = @article.author.name
    .license
      strong=> 'published under license'
      = @article.license.name
      - if @article.license.link && @article.license.link.include?('creativecommons')
        | copy! share!
    .category
      strong=> 'posted in category'
      = link_to(@article.category.first_level, first_level_category_path(first_level: @article.category.first_level))
      = ' / '
      = link_to(@article.category.second_level, second_level_category_path(first_level: @article.category.first_level, second_level: @article.category.second_level))
    .posted_at
      strong=> 'posted at'
      = @article.posted_at&.strftime("%d. %b '%y")
    - if @article.last_updated_at && @article.posted_at && @article.last_updated_at > @article.posted_at
      .last_updated_at
        strong=> 'last updated at'
        = @article.last_updated_at.strftime("%d. %b '%y")

  .content== render_article(@article)

.oni-container-narrow.oni-article__comment-form
  h1 Add Comment
  = form_with model: @comment, url: article_comments_path(article_id: @article.id), method: :post do |f|
    = invisible_captcha :poster
    .oni-article__comment-poster-name.oni-form-input-group
      .oni-form-label-wrapper= f.label :poster_name, 'Your Name (public)'
      div= f.text_field :poster_name
    .oni-article__comment-body.oni-form-input-group
      .oni-form-label-wrapper= f.label :body, 'Your Message'
      div= f.text_area :body, autocomplete: false
    .oni-form-input-group
      = f.submit 'Post Comment', class: 'oni-form-submit'

- if @comments.size > 0
  .oni-container.oni-article-comments
    h2.oni-article-comments__count
      = "Comments (#{@comments.size})"
    - @comments.each do |comment|
      .oni-article-comment
        .oni-article-comment__poster-name
          = comment.poster_name
        .oni-article-comment__posted-at
          = "Posted: #{comment.created_at} / Approved: #{comment.published_at}"
        .oni-article-comment__body
          = comment.body
